#!/bin/sh
# opieinfo: Print a user's current OPIE sequence number and seed
#
# Portions of this software are Copyright 1995 by Randall Atkinson and Dan
# McDonald, All Rights Reserved. All Rights under this copyright are assigned
# to the U.S. Naval Research Laboratory (NRL). The NRL Coyright Notice and
# License Agreement applies to this software.
#
#	History:
#
#	Modified at NRL for OPIE 2.0.
#	Written at Bellcore for the S/Key Version 1 software distribution
#		(keyinfo)
#
for i in $*; 
do
	case $i in
		-v)	opiekey -v;
			exit 1;;
		-*)	echo "usage: $0 [-h] [-v] [user_name]";
			exit 1;;
	esac
done

WHO=${1:-`@@WHOAMI@@`}
if [ -e /etc/opiekeys ]
then
	/usr/bin/grep "^$WHO[ \t]" /etc/opiekeys | /usr/bin/awk '{print $2-1,$3}'
	exit 0
else
	echo "Can't find key file."
	exit 1
fi
